Download it now!
Bug 88740 - Draw and Impress do not accept changes behind the decimal point in angle of rotation in the sidebar
Summary: Draw and Impress do not accept changes behind the decimal point in angle of r...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: Other All
: medium major
Assignee: Andras Timar
URL:
Whiteboard: target:4.5.0 target:4.3.7 target:4.4.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-23 10:03 UTC by OfficeUser
Modified: 2015-01-30 11:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot (31.00 KB, image/png)
2015-01-23 10:04 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2015-01-23 10:03:52 UTC
- Open Draw or Impress

- Create a document with at least one object (drawing or image)

- Select that object

- Go to the sidebar and try enter a change in the angle of rotation behind the decimal point. Confirm with RETURN.

Note: The angel has not changed.

- Deselect the object

- Re-select the object

Note that there are zeros again behind the decimal point in the edit field of the sidebar.

I have attached a screen shot that shows you which edit field I am talking about in this issue.


Version: 4.4.0.1
Build-ID: 1ba9640ddd424f1f535c75bf2b86703770b8cf6f
Gebietsschema: de_DE
Comment 1 OfficeUser 2015-01-23 10:04:20 UTC
Created attachment 112709 [details]
screen shot
Comment 2 A (Andy) 2015-01-23 21:51:04 UTC
Reproducible with LO 4.4.0.0.beta1, but not reproducible with LO 4.3.5.2, Win 8.1.
Comment 3 OfficeUser 2015-01-25 11:25:50 UTC
(In reply to A (Andy) from comment #2)
> Reproducible with LO 4.4.0.0.beta1, but not reproducible with LO 4.3.5.2,
> Win 8.1.

==> Set keyword regression.
Comment 4 Arnaud Versini 2015-01-25 14:14:41 UTC
I can't reproduce with french locale and LibreOffice 4.4.0.2
Comment 5 Arnaud Versini 2015-01-25 14:16:41 UTC
Hi

We need information about your plateform, is it on Windows OfficeUser ?

Thanks
Comment 6 OfficeUser 2015-01-25 17:03:40 UTC
(In reply to Arnaud Versini from comment #5)
> Hi
> 
> We need information about your plateform, is it on Windows OfficeUser ?
> 
> Thanks

Windows 8.1
Comment 7 Julien Nabet 2015-01-26 22:40:47 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 9 OfficeUser 2015-01-27 19:55:33 UTC
(In reply to A (Andy) from comment #2)
> Reproducible with LO 4.4.0.0.beta1, but not reproducible with LO 4.3.5.2,
> Win 8.1.

I just have tried the following version of LibreOffice Portable on Windows 8.1:
Version: 4.3.5.2
Build-ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

I CAN reproduce it with this build, too. So I am not sure at the moment if this issue is really a regression.

@A (Andy): Really sure that you can NOT see this bug in 4.3.5.2?
Comment 10 Julien Nabet 2015-01-27 20:26:32 UTC
I made further tests and I saw that if I used "." instead of "," (whereas I use French UI!) to type the value, decimal typing was ok.

It's not only on Draw but also on Calc and Writer=>general UI problem

Eike: I thought you might have an idea about this "."/"," decimal problem.

https://bugs.documentfoundation.org/buglist.cgi?bug_status=__open__&content=decimal&list_id=519054&order=Importance&product=LibreOffice&query_format=specific seems to show there's a general problem with decimal separator and UI settings.
Comment 11 Matthew Francis 2015-01-28 01:29:19 UTC
The fact that this requires a particular locale to test means that it's not possible (or at least highly impractical) to bibisect - tagging accordingly
Comment 12 Andras Timar 2015-01-28 09:39:40 UTC
I found it also in LibreOffice 4.1 with the experimental sidebar. I don't think it's a regression, it's been always wrong. When the decimal separator is ',' the digits after the decimal separator are reset to 00.
Comment 13 Commit Notification 2015-01-28 10:09:38 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a7bf47098fe69b5c6069372708918ef94a9d597

tdf#88740 fix sidebar angle rotation i18n

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Eike Rathke 2015-01-29 16:06:09 UTC
Oh my goodness, what an ugly attempt to convert a string to double ;-)

I'll fix that in a follow-up commit.
There's a similar dumb attempt in sc/source/ui/sidebar/AlignmentPropertyPanel.cxx line 122 in
IMPL_LINK( AlignmentPropertyPanel, AngleModifiedHdl, ...
stemming from the same sidebar merge. I'll fix that as well.

Btw, that huge list from comment 10 isn't related and not helpful.
Comment 16 Commit Notification 2015-01-30 11:35:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0001928ceff2e50b7884e352a57f4dba7dca891&h=libreoffice-4-3

Resolves: tdf#88740 parse with locale decimal separator

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2015-01-30 11:35:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=445ff9e176b3d697d5e14d8f0465fee2eff609d8&h=libreoffice-4-4

Resolves: tdf#88740 parse with locale decimal separator

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.